# autogenerated by configure

# * for each library $1, add another entry in the same manner
MAKELIBS= /tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/bundles/menhirLib/ /tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/bundles/pycaml/ 
LNKLIBS= $(LOCAL_menhirLib) $(LOCAL_pycaml)  
OPTLNKLIBS= $(LOCALOPT_menhirLib) $(LOCALOPT_pycaml) 
INCLIBS= /tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/bundles/menhirLib/ /tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/bundles/pycaml/ 
FLAGSLIBS= $(FLAGS_menhirLib) $(FLAGS_pycaml) 
OPTFLAGSLIBS=$(OPTFLAGS_dynlink) $(OPTFLAGS_menhirLib) $(OPTFLAGS_pycaml) 
# * end of library variables

# system packages inc libs
SYSINCLIBS=/usr/pkg/lib/ocaml /usr/pkg/lib/ocaml /usr/pkg/lib/ocaml /usr/pkg/lib/ocaml 

# camlp4 library location
PATH_camlp4=/usr/pkg/lib/ocaml/camlp4

SHELL?=/bin/sh
PKG_CONFIG=/tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/setup/fake-subst.sh pkg-config
INSTALL=/usr/bin/install -c -o pbulk -g users
TAR=/bin/tar
PATCH=/tmp/pkgbuild/devel/coccinelle/work/.tools/bin/patch
PDFLATEX=/tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/setup/fake-pdflatex.sh pdflatex
PATCHELF=

# copy of the configure flags
CONFIGURE_FLAGS=--without-menhir --disable-menhirLib --prefix=/usr/pkg --build=x86_64--netbsd --host=x86_64--netbsd --mandir=/usr/pkg/man

# differentiate between release and development builds here
# (typically for improved performance)
ifneq (no, no)
EXTRA_OCAML_FLAGS=-unsafe
else
# -dtypes is depricated and can be replaced with -annot for newer
# versions of ocaml.
EXTRA_OCAML_FLAGS=-g -dtypes
endif

# note that variables are exported and thus cannot be used in
# definitions of other variables. Use $(EXTRA_OCAML_FLAGS) for that.
# Todo: since these definitions are now in Makefile.config.in, the
# defaults can be removed from each individual Makefile in the
# subdirectories.
export OCAMLCFLAGS?=$(EXTRA_OCAML_FLAGS)
export OPTFLAGS?=$(EXTRA_OCAML_FLAGS)

# paths
prefix=/usr/pkg
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
datarootdir=${prefix}/share
includedir=${prefix}/include
libdir=${exec_prefix}/lib
sysconfdir=${prefix}/etc
mandir=/usr/pkg/man

# C compiler
export CC=gcc
export CFLAGS=-O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include
export CPP=gcc -E
export CPPFLAGS=-I/usr/include -I/usr/pkg/include

# portable MKDIR_P
MKDIR_P=/tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/setup/install-sh -c -d

# the default Make target
TARGET_ALL=all-dev
TARGET_SPATCH=byte-only

PYTHON_CFLAGS=-I/usr/pkg/include/python2.7 
PYTHON_LIBS=-Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lpython2.7 
export PYTHON_VERSION=2.7
export PYTHON_VERSION_MAJOR=2

PCRE_CFLAGS=
PCRE_LIBS=

export OCAMLFIND=/tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/setup/fake-subst.sh ocamlfind
export OCAMLBUILD=no
export OCAMLC=/tmp/pkgbuild/devel/coccinelle/work/.buildlink/bin/ocamlc.opt
export OCAMLDEP=/tmp/pkgbuild/devel/coccinelle/work/.buildlink/bin/ocamldep
export OCAMLDOC=/usr/pkg/bin/ocamldoc
export OCAMLLEX=/usr/pkg/bin/ocamllex.opt
export OCAMLYACC=/tmp/pkgbuild/devel/coccinelle/work/.buildlink/bin/ocamlyacc
export OCAMLLIB=/usr/pkg/lib/ocaml
export OCAMLMKLIB=/tmp/pkgbuild/devel/coccinelle/work/.buildlink/bin/ocamlmklib
export OCAMLMKTOP=/tmp/pkgbuild/devel/coccinelle/work/.buildlink/bin/ocamlmktop
export OCAMLOPT=/tmp/pkgbuild/devel/coccinelle/work/.buildlink/bin/ocamlopt.opt
export CAMLP4=/usr/pkg/bin/camlp4
export CAMLP4O=/usr/pkg/bin/camlp4o
export MENHIR=/tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/setup/fake-menhir.sh menhir
export OCAMLVERSION=4.07.1

INSTALL_PROGRAM=$(INSTALL) -m 755
INSTALL_LIB=$(INSTALL) -m 755
INSTALL_DATA=$(INSTALL) -m 644

# Where to install the binary
BINDIR=${bindir}

# Where to install the man pages
MANDIR=${mandir}

# Where to install the lib
LIBDIR=${libdir}

# Where to install the configuration files
SHAREDIR=/usr/pkg/share/coccinelle

BASH_COMPLETION_DIR=${sysconfdir}/bash_completion.d

# selected libraries
FEATURE_menhirLib=1
FEATURE_pycaml=1
FEATURE_pcre=0
LOCALLIB_pycaml=1

# Features
FEATURE_PYTHON=1
FEATURE_OCAML=0
NO_OCAMLFIND=yes
FEATURE_OCAMLBUILD=

# Include paths
PCREDIR=
PYCAMLDIR=/tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/bundles/pycaml/
MENHIRDIR=/tmp/pkgbuild/devel/coccinelle/work/coccinelle-1.0.0-rc17/bundles/menhirLib/
DYNLINKDIR=

# selected ocaml modules
PYCOCCI_FILE=yes_pycocci.ml
OCAMLCOCCI_FILE=no_prepare_ocamlcocci.ml
REGEXP_FILE=regexp_str.ml
